import { Pipe, PipeTransform } from '@angular/core';
import { TimeWindow } from '../defs';

@Pipe({
  name: 'timeWindowToString',
})
export class TimeWindowToStringPipe implements PipeTransform {
  transform(timeWindow: TimeWindow): string {
    return `${timeWindow.from.hours}:${timeWindow.from.minutes} bis ${timeWindow.from.hours}:${timeWindow.from.minutes}`;
  }
}
